//=============================================================================
// register definitions
//=============================================================================
#ifndef _REGISTERS_
#define _REGISTERS_


//-----------------------------------------------------------------------------
//-= definitions =-------------------------------------------------------------
//-----------------------------------------------------------------------------
enum
{
	R_CPU,
/*	R_FPU,
	R_COP0,
	R_COP2,
	R_CACHE,
	R_CACHE_OP,
	R_HINT,
	R_COP2_CTL,
*/
	_R_LAST
};


//-----------------------------------------------------------------------------
//---= reg-tbl =---------------------------------------------------------------
//-----------------------------------------------------------------------------
char *r59_reg[32*_R_LAST] = {
	//R_CPU
	"zero", "at", "v0", "v1", "a0", "a1", "a2", "a3",
	"t0", "t1", "t2", "t3", "t4", "t5", "t6", "t7",
	"s0", "s1", "s2", "s3", "s4", "s5", "s6", "s7",
	"t8", "t9", "k0", "k1", "gp", "sp", "fp", "ra",

	//R_FPU
//	"fv0","$f1","fv1","$f3","ft0","$f5","ft1","$f7",
//	"ft2","$f9","ft3","$f11","fa0","$f13","fa1","$f15",
//	"ft4","$f17","ft5","$f19","fs0","$f21","fs1","$f23",
//	"fs2","$f25","fs3","$f27","fs4","$f29","fs5","$f31",
	//"f0","f1","f2","f3","f4","f5","f6","f7","f8","f9","f10",
	//"f11","f12","f13","f14","f15","f16","f17","f18","f19","f20",
	//"f21","f22","f23","f24","f25","f26","f27","f28","f29","f30","f31",

	//R_COP0
//	"Index","Random","EntryLo0","EntryLo1","Context","PageMask","Wired","C0r7",
//	"BadVaddr","Count","EntryHi","Compare","Status","Cause","EPC","PRId",
//	"Config","LLAddr","WatchLo","WatchHi","XContext","C0r21","C0r22","C0r23",
//	"C0r24","C0r25","ECC","CacheERR","TagLo","TagHi","ErrorEPC","C0r31",

	//R_COP2
//	"C2r0","C2r1","C2r2","C2r3","C2r4","C2r5","C2r6","C2r7",
//	"C2r8","C2r9","C2r10","C2r11","C2r12","C2r13","C2r14","C2r15",
//	"C2r16","C2r17","C2r18","C2r19","C2r20","C2r21","C2r22","C2r23",
//	"C2r24","C2r25","C2r26","C2r27","C2r28","C2r29","C2r30","C2r31",

	//R_CACHE
//	"sf","ngle","seq","ngl","lt","nge","le","ngt",
//	"","","","","","","","",
//	"","","","","","","","",
//	"","","","","","","","",

	//R_CACHE_OP
//	"ixltg","ixldt","bxlbt",""/*03*/,"ixstg","ixsdt","bxsbt","ixin",
//	"bpr",""/*09*/,"bhinbt","ihin",""/*"bfh" matches with a hexnumber!!! shit!!!*/,""/*0D*/,"ifl",""/*0F*/,
//	"dxltg","dxldt","dxstg","dxsdt","dxwbin",""/*15*/,"dxin",""/*17*/,
//	"dhwbin",""/*19*/,"dhin",""/*1B*/,"dhwoin",""/*1D*/,""/*1E*/,""/*1F*/,

	//R_HINT
//	"load","","","","","","","",
//	"","","","","","","","",
//	"","","","","","","","",
//	"","","","","","","","",

	//R_COP2_CTL
//	"vf00","vf01","vf02","vf03","vf04","vf05",
//	"vf06","vf07","vf08","vf09","vf10","vf11",
//	"vf12","vf13","vf14","vf15","c2c16"/*Status*/,"MACflag",
//	"ClipFlag","c2r19","R","I","Q","c2c23","c2c24",
//	"c2c25","TPC","CMSAR0","FBRST","VPU-STAT",
//	"c2c30","CMSAR1"
};
#endif
